Loading...
Searching...
No Matches
irr::scene::IIndexBuffer Class Referenceabstract

`#include <IIndexBuffer.h>`

Inheritance diagram for irr::scene::IIndexBuffer:

## Public Member Functions

virtual u32 | allocated_size () const =0
virtual u32 | getChangedID () const =0
| Get the currently used ID for identification of changes.
virtual void * | getData ()=0
virtual E_HARDWARE_MAPPING | getHardwareMappingHint () const =0
| get the current hardware mapping hint
virtual u32 | getLast ()=0
virtual video::E_INDEX_TYPE | getType () const =0
virtual u32 | operator[] (u32 index) const =0
virtual void * | pointer ()=0
virtual void | push_back (const u32 &element)=0
virtual void | reallocate (u32 new_size)=0
virtual void | set_used (u32 usedNow)=0
virtual void | setDirty ()=0
| flags the meshbuffer as changed, reloads hardware buffers
virtual void | setHardwareMappingHint (E_HARDWARE_MAPPING NewMappingHint)=0
| set the hardware mapping hint, for driver
virtual void | setType (video::E_INDEX_TYPE IndexType)=0
virtual void | setValue (u32 index, u32 value)=0
virtual u32 | size () const =0
virtual u32 | stride () const =0
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Definition at line 24 of file IIndexBuffer.h.

## Member Function Documentation

## allocated_size()

virtual u32 irr::scene::IIndexBuffer::allocated_size | ( |  | ) | const

pure virtual

Implemented in irr::scene::CIndexBuffer.

## getChangedID()

virtual u32 irr::scene::IIndexBuffer::getChangedID | ( |  | ) | const

pure virtual

Get the currently used ID for identification of changes.

This shouldn't be used for anything outside the VideoDriver.

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getChangedID_Index().

## getData()

virtual void * irr::scene::IIndexBuffer::getData | ( |  | ) |

pure virtual

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getIndices(), and irr::scene::IDynamicMeshBuffer::getIndices().

## getHardwareMappingHint()

virtual E_HARDWARE_MAPPING irr::scene::IIndexBuffer::getHardwareMappingHint | ( |  | ) | const

pure virtual

get the current hardware mapping hint

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::getHardwareMappingHint_Index().

## getLast()

virtual u32 irr::scene::IIndexBuffer::getLast | ( |  | ) |

pure virtual

Implemented in irr::scene::CIndexBuffer.

## getType()

virtual video::E_INDEX_TYPE irr::scene::IIndexBuffer::getType | ( |  | ) | const

pure virtual

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::CIndexBuffer::CIndexBuffer(), and irr::scene::IDynamicMeshBuffer::getIndexType().

## operator[]()

virtual u32 irr::scene::IIndexBuffer::operator[] | ( | u32 | index | ) | const

pure virtual

Implemented in irr::scene::CIndexBuffer.

## pointer()

virtual void * irr::scene::IIndexBuffer::pointer | ( |  | ) |

pure virtual

Implemented in irr::scene::CIndexBuffer.

## push_back()

virtual void irr::scene::IIndexBuffer::push_back | ( | const u32 & | element | ) |

pure virtual

Implemented in irr::scene::CIndexBuffer.

## reallocate()

virtual void irr::scene::IIndexBuffer::reallocate | ( | u32 | new_size | ) |

pure virtual

Implemented in irr::scene::CIndexBuffer.

## set_used()

virtual void irr::scene::IIndexBuffer::set_used | ( | u32 | usedNow | ) |

pure virtual

Implemented in irr::scene::CIndexBuffer.

## setDirty()

virtual void irr::scene::IIndexBuffer::setDirty | ( |  | ) |

pure virtual

flags the meshbuffer as changed, reloads hardware buffers

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setDirty().

## setHardwareMappingHint()

virtual void irr::scene::IIndexBuffer::setHardwareMappingHint | ( | E_HARDWARE_MAPPING | NewMappingHint | ) |

pure virtual

set the hardware mapping hint, for driver

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::IDynamicMeshBuffer::setHardwareMappingHint().

## setType()

virtual void irr::scene::IIndexBuffer::setType | ( | video::E_INDEX_TYPE | IndexType | ) |

pure virtual

Implemented in irr::scene::CIndexBuffer.

## setValue()

virtual void irr::scene::IIndexBuffer::setValue | ( | u32 | index,
|  | u32 | value )

pure virtual

Implemented in irr::scene::CIndexBuffer.

## size()

virtual u32 irr::scene::IIndexBuffer::size | ( |  | ) | const

pure virtual

Implemented in irr::scene::CIndexBuffer.

Referenced by irr::scene::CIndexBuffer::CIndexBuffer(), and irr::scene::IDynamicMeshBuffer::getIndexCount().

## stride()

virtual u32 irr::scene::IIndexBuffer::stride | ( |  | ) | const

pure virtual

Implemented in irr::scene::CIndexBuffer.

The documentation for this class was generated from the following file:

- IIndexBuffer.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0